Bug 4838 - Feature request: Referential integrity in AD
Feature request: Referential integrity in AD
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Windows XP
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 03:53 UTC by Matthias Dieter Wallnöfer
Modified: 2008-01-06 23:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-31 03:53:28 UTC
When I delete, rename or change the location of a AD object (user, group, ...), then the referring entries aren't removed or updated in other group object(s) in AD. When I then open the properties of them I
recieve a SAM error (I had then to fix the entries in ADSI Edit manually). (Derived from bug 4815)
Comment 1 Matthias Dieter Wallnöfer 2007-08-23 01:10:22 UTC
Since it's not really a bug, I'll mark it as a feature request.
Comment 2 Matthias Dieter Wallnöfer 2007-12-08 14:06:11 UTC
How far are you with this?
Comment 3 Andrew Bartlett 2008-01-06 23:28:40 UTC
With the linked attributes plugin, this should now be fixed!